Network Scan Global Configs
Operations for the Network Scan Global Configs service collection.
| Language | Last Update |
|---|---|
| Python | v1.6.1 |
| PowerShell | v2.2.9 |
| Go | v0.20.0 |
| TypeScript | v0.6.0 |
| Rust | v0.7.0 |
| Ruby | v1.2.0 |
Table of Contents
Section titled “Table of Contents”| Operation | Description |
|---|---|
get_global_configsget_global_configs | Get “global-configs” for the CID |
update_global_configsupdate_global_configs | Update “global-configs” using provided specifications |
get_global_configs
Section titled “get_global_configs”Get “global-configs” for the CID
GET /netscan/entities/global-configs/v1
PEP 8
get_global_configsCode Examples
Section titled “Code Examples”from falconpy import NetworkScanGlobalConfigs
falcon = NetworkScanGlobalConfigs(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.get_global_configs()print(response)from falconpy import NetworkScanGlobalConfigs
falcon = NetworkScanGlobalConfigs(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.get_global_configs()print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("get_global_configs")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/network_scan_global_configs")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
xCSUSERUUID := "string"
response, err := client.NetworkScanGlobalConfigs.GetGlobalConfigs( &network_scan_global_configs.GetGlobalConfigsParams{ XCSUSERUUID: &xCSUSERUUID, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.networkScanGlobalConfigs.getGlobalConfigs();
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::NetworkScanGlobalConfigs.new
response = api.get_global_configs
puts responseupdate_global_configs
Section titled “update_global_configs”Update “global-configs” using provided specifications
PATCH /netscan/entities/global-configs/v1
PEP 8
update_global_configsParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| body | body | dictionary | Full body payload as JSON formatted dictionary. |
| auto_confirm_ownership | body | object | Conditions for auto confirmation of network ownership |
| max_concurrent_tasks | body | integer | Maximum scan tasks to run in parallel |
| network_scanning_enabled | body | boolean | Attempts to stop ongoing network scans and disables further scans from being executed |
| scan_exclusion | body | object | Describes scan target exclusions including common as well as zone-level like individual IPs, IP ranges, CIDRs (and CIDRs from Network subnets) |
| scanners | body | array | Describes the list of assets that will act as eligible scanners |
| scanners_exclusion | body | array | Describes the list of assets that will always be excluded from being selected as scanners |
Code Examples
Section titled “Code Examples”from falconpy import NetworkScanGlobalConfigs
falcon = NetworkScanGlobalConfigs(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.update_global_configs(auto_confirm_ownership={}, max_concurrent_tasks=integer, network_scanning_enabled="string", scan_exclusion="string", scanners=[{"key": "value"}], scanners_exclusion=["string"])print(response)from falconpy import NetworkScanGlobalConfigs
falcon = NetworkScanGlobalConfigs(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.update_global_configs(auto_confirm_ownership={}, max_concurrent_tasks=integer, network_scanning_enabled="string", scan_exclusion="string", scanners=[{"key": "value"}], scanners_exclusion=["string"])print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
body_payload = { "auto_confirm_ownership": { "min_managed_assets": integer }, "max_concurrent_tasks": integer, "network_scanning_enabled": boolean, "scan_exclusion": { "exclude_all_managed_hosts": boolean, "host_groups": ["string"], "hosts": ["string"], "zone_level_scan_exclusions": [ { "cidrs": ["string"], "ip_ranges": ["string"], "ips": ["string"], "zone_id": "string" } ] }, "scanners": [ { "enabled": boolean, "id": "string", "type": "string" } ], "scanners_exclusion": [ { "enabled": boolean, "id": "string", "type": "string" } ]}
response = falcon.command("update_global_configs", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/network_scan_global_configs" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
max_concurrent_tasks := integer network_scanning_enabled := boolean enabled := boolean id := "string" type := "string"
response, err := client.NetworkScanGlobalConfigs.UpdateGlobalConfigs( &network_scan_global_configs.UpdateGlobalConfigsParams{ Body: &models.DomainGlobalConfigUpdateRequest{ AutoConfirmOwnership: &struct{}{}, MaxConcurrentTasks: &max_concurrent_tasks, NetworkScanningEnabled: &network_scanning_enabled, ScanExclusion: &struct{}{}, Scanners: []interface{}{ { Enabled: &enabled, ID: &id, Type: &type, }, }, ScannersExclusion: []interface{}{ { Enabled: &enabled, ID: &id, Type: &type, }, }, }, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.networkScanGlobalConfigs.updateGlobalConfigs( { autoConfirmOwnership: { minManagedAssets: integer }, maxConcurrentTasks: integer, networkScanningEnabled: boolean, scanExclusion: { excludeAllManagedHosts: boolean, hostGroups: [], hosts: [], zoneLevelScanExclusions: [{ cidrs: [], ipRanges: [], ips: [], zoneId: "string" }] }, scanners: [{ enabled: boolean, id: "string", type: "string" }], scannersExclusion: [{ enabled: boolean, id: "string", type: "string" }]} // body);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::NetworkScanGlobalConfigs.new
body = Falcon::DomainGlobalConfigUpdateRequest.new( auto_confirm_ownership: { min_managed_assets: integer }, max_concurrent_tasks: integer, network_scanning_enabled: boolean, scan_exclusion: { exclude_all_managed_hosts: boolean, host_groups: [], hosts: [], zone_level_scan_exclusions: [{ cidrs: [], ip_ranges: [], ips: [], zone_id: 'string' }] }, scanners: [{ enabled: boolean, id: 'string', type: 'string' }], scanners_exclusion: [{ enabled: boolean, id: 'string', type: 'string' }])
response = api.update_global_configs(body)
puts response